Bug 730233

Summary: Review Request: jboss-jaxrpc-1.1-api - Java API for XML-Based RPC (JAX-RPC) 1.1
Product: [Fedora] Fedora Reporter: Marek Goldmann <mgoldman>
Component: Package ReviewAssignee: Tomas Radej <tradej>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: notting, package-review, pingou, rfontana, tradej
Target Milestone: ---Flags: tradej: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: jboss-jaxrpc-1.1-api-1.0.1-0.1.20120309gita3c227.fc17 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-03-21 18:46:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 730226, 730232    
Bug Blocks: 730234    

Comment 1 Tomas Radej 2011-10-20 08:32:46 UTC
Taking this one.

Comment 2 Tomas Radej 2011-10-20 11:42:05 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output: 
jboss-jaxrpc-1.1-api.noarch: W: incoherent-version-in-changelog 1.0.1-1 ['1.0.0-1.fc17', '1.0.0-1']
jboss-jaxrpc-1.1-api.noarch: W: invalid-url URL: http://www.jboss.org/ HTTP Error 403: Forbidden
jboss-jaxrpc-1.1-api.noarch: W: no-documentation
jboss-jaxrpc-1.1-api.src: W: invalid-url URL: http://www.jboss.org/ HTTP Error 403: Forbidden
jboss-jaxrpc-1.1-api.src: W: invalid-url Source0: jboss-jaxrpc-api_1.1_spec-1.0.0.Final-src-svn.tar.gz
jboss-jaxrpc-1.1-api-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
jboss-jaxrpc-1.1-api-javadoc.noarch: W: invalid-url URL: http://www.jboss.org/ HTTP Error 403: Forbidden
3 packages and 0 specfiles checked; 0 errors, 7 warnings.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms. << jboss-servlet- needs to be present
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other
     legal requirements as defined in the legal section of Packaging
     Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
     License type:
[-]  If (and only if) the source package includes the text of the license(s) in
     its own file, then that file, containing the text of the license(s) for the
     package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided
     in the spec URL.
[x]  All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[-]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with
     good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot}
     (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT
     mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI
     application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc
     subpackage
[!]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks) 
	<< Folder copied is apidocs, should be apidocs/*
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that
     tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[-]  If package contains pom.xml files install it (including depmaps) even when
     building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of
     %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a
     comment 
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why
     it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.

*** ISSUES ***
- Folder copied in Javadoc is apidocs, should be apidocs/*

Comment 4 Tomas Radej 2011-11-04 11:28:27 UTC
It's all right. Builds with the presence of jboss-servlet-3.0-api

*** APPROVED ***

Comment 5 Marek Goldmann 2011-11-04 12:18:47 UTC
Thanks for review!

New Package SCM Request
=======================
Package Name:      jboss-jaxrpc-1.1-api
Short Description: Java API for XML-Based RPC (JAX-RPC) 1.1
Owners:            goldmann

Comment 6 Gwyn Ciesla 2011-11-04 12:37:28 UTC
Git done (by process-git-requests).

Comment 7 Marek Goldmann 2011-11-07 13:29:41 UTC
Rich, could you please lift the FE-Legal flag if the package is ok? Thanks!

Comment 8 Pierre-YvesChibon 2012-01-04 15:44:09 UTC
ping ?

Comment 9 Pierre-YvesChibon 2012-01-17 19:59:50 UTC
ping ?

Comment 10 Tomas Radej 2012-01-18 08:45:35 UTC
I think you need to send Richard an e-mail.

Comment 11 Richard Fontana 2012-01-18 15:40:38 UTC
Hi, FE-Legal flag will not be lifted yet.

Comment 12 Marek Goldmann 2012-03-07 07:50:55 UTC
License cleanup pull request: https://github.com/jboss/jboss-jaxrpc-api_spec/pull/1

Comment 14 Richard Fontana 2012-03-10 03:40:04 UTC
Lifting FE-Legal.

Comment 15 Marek Goldmann 2012-03-10 22:15:17 UTC
Tomas, do you want to take a look at the updates spec file or I can proceed with importing it?

Comment 16 Tomas Radej 2012-03-12 08:35:24 UTC
I say good.

Comment 17 Marek Goldmann 2012-03-12 10:28:26 UTC
I say thank you!

Comment 18 Fedora Update System 2012-03-13 17:31:28 UTC
jboss-jaxrpc-1.1-api-1.0.1-0.1.20120309gita3c227.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jboss-jaxrpc-1.1-api-1.0.1-0.1.20120309gita3c227.fc17

Comment 19 Fedora Update System 2012-03-16 19:01:52 UTC
jboss-jaxrpc-1.1-api-1.0.1-0.1.20120309gita3c227.fc17 has been pushed to the Fedora 17 testing repository.

Comment 20 Fedora Update System 2012-03-21 18:46:57 UTC
jboss-jaxrpc-1.1-api-1.0.1-0.1.20120309gita3c227.fc17 has been pushed to the Fedora 17 stable repository.